{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-09T11:58:53Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "52811ea9aed26588a1b7f861e588230104112db3"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtimageformats-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtimageformats-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Linux (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats",
            "builtDate": "2024-08-09T11:58:53Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (x86_64)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtimageformats",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "bef7f927f0e88108e794fb62c1f99a06204b5722"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QTgaPlugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtimageformats:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QTgaPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QWbmpPlugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtimageformats:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QWbmpPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QTiffPlugin-Attribution-libtiff",
            "comment": "\n    Name: TIFF Software Distribution (libtiff)\n    Qt usage: Used in the qtiff image plugin if no system libtiff is found.\n    Information extracted from:\n     /home/qt/work/qt/qtimageformats/src/3rdparty/libtiff/qt_attribution.json\n    Entry index: 0\n",
            "copyrightText": "Copyright (c) 1988-1997 Sam Leffler\nCopyright (c) 1991-1997 Silicon Graphics, Inc.",
            "downloadLocation": "https://download.osgeo.org/libtiff/tiff-4.6.0.tar.gz",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QTiffPlugin_Attribution_libtiff@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "libtiff",
            "licenseDeclared": "NOASSERTION",
            "name": "QTiffPlugin_Attribution_libtiff",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "4.6.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QTiffPlugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtimageformats:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QTiffPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QWebpPlugin-Attribution-libwebp",
            "comment": "\n    Name: WebP (libwebp)\n    Description: WebP is a new image format that provides lossless and lossy compression for images on the web.\n    Qt usage: Used in the qwebp image plugin if no system libwebp is found.\n    Information extracted from:\n     /home/qt/work/qt/qtimageformats/src/3rdparty/libwebp/qt_attribution.json\n    Entry index: 0\n",
            "copyrightText": "Copyright (c) 2010, Google Inc. All rights reserved.",
            "downloadLocation": "https://storage.googleapis.com/downloads.webmproject.org/releases/webp/libwebp-1.4.0.tar.gz",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QWebpPlugin_Attribution_libwebp@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "BSD-3-Clause",
            "licenseDeclared": "NOASSERTION",
            "name": "QWebpPlugin_Attribution_libwebp",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "1.4.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QWebpPlugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtimageformats:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QWebpPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtimageformats.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtimageformats-QICNSPlugin@6.8.0",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtimageformats:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QICNSPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtimageformats-system-3rdparty-WrapZLIB",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": true,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "WrapZLIB",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Person: Anonymous",
            "versionInfo": "1.2.13"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "efedd26cb9f173a35eabea68353782f37901806d"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/imageformats/libplugins_imageformats_qtga_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "623df41517920aa0ec4fad96466558d2d1eb35af"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/imageformats/libplugins_imageformats_qwbmp_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0aba07830d7067f06f0924d68b4d1bf6d3f6c751"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/imageformats/libplugins_imageformats_qtiff_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "42dcb5608669f3dcd4c69312a602991b7e311ac7"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/imageformats/libplugins_imageformats_qwebp_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "23f8e9d4bb71a78cdc9139dba0b3f973a2ee5fa3"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/imageformats/libplugins_imageformats_qicns_x86_64.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtimageformats is built by compiler Clang (/opt/android/android-ndk-r26b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTgaPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga/qtgafile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga/qtgafile.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga/qtgahandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga/qtgahandler.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTgaPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tga//home/qt/work/qt/qtimageformats/build/target/src/plugins/imageformats/tga/meta_types/qt6qtgaplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWbmpPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/wbmp/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/wbmp/qwbmphandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/wbmp/qwbmphandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWbmpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/wbmp//home/qt/work/qt/qtimageformats/build/target/src/plugins/imageformats/wbmp/meta_types/qt6qwbmpplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QTiffPlugin-Attribution-libtiff",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-system-3rdparty-WrapZLIB",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QTiffPlugin-Attribution-libtiff",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QTiffPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/qtiffhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/qtiffhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_aux.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_close.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_codec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_color.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_compress.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_dir.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_dirinfo.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_dirread.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_dirwrite.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_dumpmode.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_error.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_extension.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_fax3.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_fax3sm.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_flush.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_getimage.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_hash_set.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_luv.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_lzw.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_next.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_open.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_packbits.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_pixarlog.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_predict.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_print.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_read.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_strip.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_swab.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_thunder.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_tile.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_version.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_warning.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_write.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_zip.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff/../../../3rdparty/libtiff/libtiff/tif_unix.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTiffPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/tiff//home/qt/work/qt/qtimageformats/build/target/src/plugins/imageformats/tiff/meta_types/qt6qtiffplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QWebpPlugin-Attribution-libwebp",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-3rdparty-sources-QWebpPlugin-Attribution-libwebp",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QWebpPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/qwebphandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/qwebphandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv_cpu.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv_csp.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv_dsp.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv_gamma.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/sharpyuv/sharpyuv_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/alpha_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/buffer_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/frame_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/idec_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/io_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/quant_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/tree_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/vp8_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/vp8l_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dec/webp_dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/demux/anim_decode.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/demux/demux.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/alpha_processing.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/alpha_processing_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/alpha_processing_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/alpha_processing_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cost.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cost_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cost_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cost_neon.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cost_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/cpu.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_clip_tables.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/dec_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/enc_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/filters.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/filters_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/filters_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/filters_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_enc_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/lossless_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/rescaler.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/rescaler_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/rescaler_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/rescaler_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/rescaler_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/ssim.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/ssim_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/upsampling.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/upsampling_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/upsampling_msa.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/upsampling_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/upsampling_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/yuv.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/yuv_mips32.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/yuv_mips_dsp_r2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/yuv_sse2.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/dsp/yuv_sse41.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/alpha_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/analysis_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/backward_references_cost_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/backward_references_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/config_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/cost_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/filter_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/frame_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/histogram_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/iterator_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/near_lossless_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/picture_csp_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/picture_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/picture_psnr_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/picture_rescale_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/picture_tools_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/predictor_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/quant_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/syntax_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/token_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/tree_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/vp8l_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/enc/webp_enc.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/mux/anim_encode.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/mux/muxedit.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/mux/muxinternal.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/mux/muxread.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/bit_reader_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/bit_writer_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/color_cache_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/filters_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/huffman_encode_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/huffman_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/palette.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/quant_levels_dec_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/quant_levels_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/random_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/rescaler_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/thread_utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp/../../../3rdparty/libwebp/src/utils/utils.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp//opt/android/android-ndk-r26b/sources/android/cpufeatures/cpu-features.c",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QWebpPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/webp//home/qt/work/qt/qtimageformats/build/target/src/plugins/imageformats/webp/meta_types/qt6qwebpplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats-qt-plugin-QICNSPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/icns/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/icns/qicnshandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/icns/qicnshandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QICNSPlugin",
            "comment": "/home/qt/work/qt/qtimageformats/src/plugins/imageformats/icns//home/qt/work/qt/qtimageformats/build/target/src/plugins/imageformats/icns/meta_types/qt6qicnsplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtimageformats",
            "relatedSpdxElement": "SPDXRef-Package-qtimageformats-system-3rdparty-WrapZLIB",
            "relationshipType": "CONTAINS"
        }
    ]
}